Package: org.codehaus.groovy.ast.stmt

## [Java] Class Statement

- org.codehaus.groovy.ast.stmt.Statement

- Base class for any statement

  Authors:
    James Strachan

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `statementLabel`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Statement ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addStatementLabel(String label)`
    `` | `String` | `getStatementLabel()`
    `` | `List<String>` | `getStatementLabels()`
    `` | `boolean` | `isEmpty()`
    `` | `void` | `setStatementLabel(String label)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ASTNode` | `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### String statementLabel

  - ### Constructor Detail

    - #### public Statement()

  - ### Method Detail

    - #### public void addStatementLabel(String label)

    - #### public String getStatementLabel()

    - #### public List<String> getStatementLabels()

    - #### public boolean isEmpty()

    - #### public void setStatementLabel(String label)